package name.nathanmcrae.numbersstation;

import com.fasterxml.jackson.dataformat.xml.XmlMapper;
import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.ArrayList;

public class MainSettings {
    private int digitsPerGroup;
    private String username;
    private int refreshInterval;
    private String selectedStationName;

    private ArrayList<StationSettings> stations;

    public MainSettings() {
        stations = new ArrayList<>();
        stations.add(new StationSettings("Station 1"));
    }

    public ArrayList<StationSettings> getStations() {
        return stations;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public int getRefreshInterval() {
        return refreshInterval;
    }

    public void setRefreshInterval(int refreshInterval) {
        this.refreshInterval = refreshInterval;
    }

    public String getSelectedStationName() {
        return selectedStationName;
    }

    public void setSelectedStationName(String selectedStationName) {
        this.selectedStationName = selectedStationName;
    }

    public void save() {
        XmlMapper xmlMapper = new XmlMapper();
        try {
            String userHome = System.getProperty("user.home");
            Path directoryPath = Paths.get(userHome, ".numbers-station");
            Path filePath = directoryPath.resolve("settings.xml");

            // Create the directory if it doesn't exist
            if (!Files.exists(directoryPath)) {
                Files.createDirectories(directoryPath);
            }

            xmlMapper.writeValue(new File(filePath.toString()), this);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
