package name.nathanmcrae.numbersstation;

import java.util.ArrayList;

public class StationSettings {
    private String address;
    private int digitsPerGroup;
    private String externalProgramCommand;
    private int messageLength;
    private MessageMethod messageMethod;
    private String name;
    private String password;
    private ArrayList<String> prefixes;
    private String username;

    public enum MessageMethod {
        FTP,
        SFTP,
        SCP,
        EXTERNAL_PROGRAM
    }

    public StationSettings() {
        prefixes = new ArrayList<String>();
    }

    public StationSettings(String newName) {
        name = newName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String newAddress) {
        address = newAddress;
    }

    public int getDigitsPerGroup() {
        return digitsPerGroup;
    }

    public void setDigitsPerGroup(int newDigitsPerGroup) {
        digitsPerGroup = newDigitsPerGroup;
    }

    public String getExternalProgramCommand() {
        return externalProgramCommand;
    }

    public void setExternalProgramCommand(String newExternalProgramCommand) {
        externalProgramCommand = newExternalProgramCommand;
    }

    public int getMessageLength() {
        return messageLength;
    }

    public void setMessageLength(int newMessageLength) {
        messageLength = newMessageLength;
    }

    public MessageMethod getMessageMethod() {
        return messageMethod;
    }

    public void setMessageMethod(MessageMethod newMessageMethod) {
        messageMethod = newMessageMethod;
    }

    public String getName() {
        return name;
    }

    public void setName(String newName) {
        name = newName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String newPassword) {
        password = newPassword;
    }

    public ArrayList<String> getPrefixes() {
        return prefixes;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String newUsername) {
        username = newUsername;
    }

    @Override
    public String toString() {
        return name;
    }
}
